pcl::octree::OctreeNode Class Referenceabstract

Abstract octree node class More...

`#include <pcl/octree/octree_nodes.h>`

Inheritance diagram for pcl::octree::OctreeNode:

## Public Member Functions

| OctreeNode ()
virtual | ~OctreeNode ()
virtual node_type_t | getNodeType () const =0
| Pure virtual method for receiving the type of octree node (branch or leaf) More...
virtual OctreeNode * | deepCopy () const =0
| Pure virtual method to perform a deep copy of the octree. More...

## Detailed Description

Abstract octree node class

Note
  Every octree node should implement the getNodeType () method

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 68 of file octree_nodes.h.

## Constructor & Destructor Documentation

## OctreeNode()

pcl::octree::OctreeNode::OctreeNode | ( |  | ) |

inline

Definition at line 72 of file octree_nodes.h.

## ~OctreeNode()

virtual pcl::octree::OctreeNode::~OctreeNode | ( |  | ) |

inline virtual

Definition at line 77 of file octree_nodes.h.

## Member Function Documentation

## deepCopy()

virtual OctreeNode* pcl::octree::OctreeNode::deepCopy | ( |  | ) | const

pure virtual

Pure virtual method to perform a deep copy of the octree.

Implemented in pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >, pcl::octree::OctreeBranchNode< ContainerT >, pcl::octree::OctreeLeafNode< ContainerT >, and pcl::octree::BufferedBranchNode< ContainerT >.

Referenced by pcl::octree::OctreeBranchNode< ContainerT >::OctreeBranchNode(), pcl::octree::BufferedBranchNode< ContainerT >::operator=(), and pcl::octree::OctreeBranchNode< ContainerT >::operator=().

## getNodeType()

virtual node_type_t pcl::octree::OctreeNode::getNodeType | ( |  | ) | const

pure virtual

Pure virtual method for receiving the type of octree node (branch or leaf)

Implemented in pcl::octree::OctreeBranchNode< ContainerT >, pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >, pcl::octree::BufferedBranchNode< ContainerT >, and pcl::octree::OctreeLeafNode< ContainerT >.

Referenced by pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::createLeafRecursive(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::createLeafRecursive(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::deleteBranchChild(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::deleteBranchChild(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::deleteLeafRecursive(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::deserializeTreeRecursive(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::findLeafRecursive(), pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::getIntersectedVoxelCentersRecursive(), pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::getIntersectedVoxelIndicesRecursive(), pcl::octree::OctreePointCloud< PointT, LeafT, BranchT, OctreeT >::getOccupiedVoxelCentersRecursive(), pcl::octree::OctreePointCloudVoxelCentroid< PointT, LeafContainerT, BranchContainerT >::getVoxelCentroidsRecursive(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::serializeTreeRecursive(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::serializeTreeRecursive(), and pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::treeCleanUpRecursive().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_nodes.h